CM_POLL_SILENT(3)

FUNCTION
cm_poll_silent - Poll for child process state changes.

SYNOPSIS
#include <karma_cm.h>

void cm_poll_silent

(flag block)

DESCRIPTION
This routine will poll for any change in status of child processes. If the operating system does not support forking, the routine does not display an error message (unlike <-cm_poll->. Those processes which have been registered using <-cm_manage-> will have any callback routines called. If a child has not been registered using <-cm_manage-> then the routine will print a warning message stating that the child was not managed.

block
    If TRUE, the routine will poll forever until a child changes status or a signal is caught.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

NOTE
If the process has no children, the routine will ALWAYS return immediately.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/